/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef DCEDITTRANSFER_H
#define DCEDITTRANSFER_H

#include <QDialog>

#include <dclib/core/clist.h>
class DCHubObject;

#include "DCDialogEditTransfer.h"

class DCEditTransfer : public QDialog, public Ui::DCDialogEditTransfer {
    Q_OBJECT

public:
    /** construtor */
    DCEditTransfer(QWidget * parent = 0);
    /** destructor */
    virtual ~DCEditTransfer();

    /** */
    void Init(QString & nick, QString & hubname, QString & hubhost, CList<DCHubObject> * list);

private:
    /** */
    CList<DCHubObject> * m_pHubObjectList;

private slots:
    /** */
    void slotKnownHubsChange(const QString &);
};

#endif
